Rated 5 out of 5 stars

just a note to highlyunfortunateggs, and others who didn't read the note in the long description ;) you don't need this for firefox 3, as the problems requiring this plugin have been fixed, so i imagine there won't be any further releases.